package com.hai.service;

import com.hai.entity.HighGasOilPriceOfficial;

import java.math.BigDecimal;

/**
 * 油品国标价
 * @author hurui
 */
public interface HighGasOilPriceOfficialService {

    /**
     * 编辑价格
     * @param regionId
     * @param oilNo
     */
    void editPrice(Long regionId, Integer oilNo, BigDecimal price);

    /**
     * 查询价格
     * @param regionId
     * @param oilNo
     * @return
     */
    HighGasOilPriceOfficial getPrice(Long regionId, Integer oilNo);

    /**
     * 刷新获取最新的国标价
     */
    void refreshPriceOfficial();
}
